# HIFIS Software web page

The HIFIS Software web page will be the home for gathering information about
the activities and services offered by the HIFIS Software team. This website
is built using Jekyll.

## Build the project locally

1. Clone the project locally
   ```bash
   git clone --recursive https://gitlab.hzdr.de/hifis/hifis.net.git
   cd hifis.net
   ```
2. [Install](https://jekyllrb.com/docs/installation/) Jekyll.
3. Install dependencies.
   ```bash
   bundle install
   ```
4. Install submodules (currently `bootstrap`, `Font-Awesome`, `jquery`, `MathJax`).
   ``` bash
   git submodule update --init --recursive
   ```
5. Build and preview the web page.
   ```bash
   bundle exec jekyll serve --future
   ```
6. Add content.

Execute the commands above from the root of your repository.

More information is available in Jekyll's
[documentation](https://jekyllrb.com/docs/)

## Fetch the latest builds from gitlab

The latest master branch (production) build artifacts can be downloaded using
* https://gitlab.hzdr.de/hifis/hifis.net/-/jobs/artifacts/master/download?job=build:production 
