---
title: "Let's Make Your Script Ready for Publication"
layout: event
organizers:
  - belayneh
type:   Workshop
start:
    date:   "2021-05-26"
    time:   "09:00"
end:
    date:   "2021-05-27"
    time:   "18:00"
location:
    campus: "Online"
excerpt:
    "The workshop covers topics of best practices for software publication."
---

## Goal

This workshop aims to teach researchers step by step how existing source code can be ready for publication.


## Content

This workshop will cover the the following topics:

 - Code repository structuring
 - Minimum coding practices
 - Documentation
 - Open source licensing
 - Minimum software release practices
 - Software citation

You learn to apply the presented strategies using either the example code or your own.

## Requirements

- Basic Git skills are required. A good and quick tutorial can be found in the [Software Carpentry's Git Novice episodes 1 to 9](https://swcarpentry.github.io/git-novice/).
 - Participants require a computer equipped with a modern Web browser and their specific environment (e.g., Git client, editor) for working on their scripts. We will provide more detailed setup information before the workshop.

Registration will open 2-3 weeks before the event. We are looking forward to seeing you! 
